// Klasse fuer gleichseitige Dreiecke 
class Triangle extends Shape {

  // Konstruktor
  // size: Seitenlaenge
  Triangle(float size) {
    super(size);
  }

  // Zeichnet den Dreieck mit 3 Punkten:
  // 1) P1: x = Mitte der Zeichenflaeche - 0,5 Seitenlaenge; y = yPos
  // 2) P2: x = Mitte der Zeichenflaeche + 0,5 Seitenlaenge; y = yPos
  // 3) P3: x = Mitte der Zeicehflaeche; y = yPos - Hoehe des Dreiecks
  void display() {
    /*        * P3
     *       /|\
     *      / | \
     *     /  |h \  h: Hoehe des Dreiecks
     * P1 *-------* P2
     */
    float triangleHeight = size * sin(PI/3);
    triangle(width/2-size/2, yPos, width/2+size/2, yPos, width/2, yPos-triangleHeight);
  }

  // Berechnet die Flaeche mit Formel fuer gleichseitige Dreiecke
  float calculateArea() {
    return sq(size) * sqrt(3) / 4;
  }
}